For Developers

Get District Enrollment

This model is part of the v2.5 API update which is currently in beta and therefore subject to change.

GET https://ed.link/api/v2/graph/district_enrollments/:district_enrollment_id

Retrieve information about a specific District Enrollment.

Request Parameters

ParameterLocationTypeDescription
district_enrollment_idurlstringThe UUID of the desired District Enrollment.

Sample Request

axios.get('https://ed.link/api/v2/graph/district_enrollments/00000000-0000-0000-0000-000000000000', {
    headers: {
        authorization: `Bearer ${integration_access_token}`
    }
});

Sample Response

{
    "$data": {
        "id": "00000000-0000-0000-0000-000000000000",
        "created_date": "2021-07-05T20:32:40.454Z",
        "updated_date": "2021-07-12T21:44:23.126Z",
        "district_id": "00000000-0000-0000-0000-000000000001",
        "person_id": "00000000-0000-0000-0000-000000000002",
        "district_enrollment_role_id": "00000000-0000-0000-0000-000000000003",
        "start_date": "2021-04-02T10:00:00.000Z",
        "end_date": null
    },
    "$request": "00000000-0000-0000-0000-000000000000"
}